Ssocialgraph.dev
API reference / YouTube / Internationalization regions list

Internationalization regions list

Read-only YouTube Data API v3 i18nRegions list endpoint.

1 credit per successful call Errors are never charged

Request

GET https://socialgraph.dev/api/v1/youtube/i18nRegions

Send your API key as Authorization: Bearer YOUR_API_KEY. Parameters go in the query string.

Parameters

NameTypeDescription
part
required
string Required. Use snippet.
hl
optional
string Language for the region names. For example: es

Code examples


Example response

{
    "etag": "O0XOx_7MspCVzc3CES1obXm31_s",
    "kind": "youtube#i18nRegionListResponse",
    "items": [
        {
            "id": "AE",
            "etag": "RmvQrICcSKx5BZkuwuIam0hkr9o",
            "kind": "youtube#i18nRegion",
            "snippet": {
                "gl": "AE",
                "name": "United Arab Emirates"
            }
        },
        {
            "id": "BH",
            "etag": "lYa87JjqaXmfqWaf6vuQD3YSNo4",
            "kind": "youtube#i18nRegion",
            "snippet": {
                "gl": "BH",
                "name": "Bahrain"
            }
        },
        {
            "id": "DZ",
            "etag": "sNy_f3n1a8hzh4cy6lk7Blq6MgU",
            "kind": "youtube#i18nRegion",
            "snippet": {
                "gl": "DZ",
                "name": "Algeria"
            }
        },
        {
            "id": "EG",
            "etag": "epyyUiiXSMjhLjkCvWGK-3zDKpM",
            "kind": "youtube#i18nRegion",
            "snippet": {
                "gl": "EG",
                "name": "Egypt"
            }
        },
        {
            "id": "IQ",
            "etag": "foRr-koDaxI_23FCQgzB6S9YdQw",
            "kind": "youtube#i18nRegion",
            "snippet": {
                "gl": "IQ",
                "name": "Iraq"
            }
        }
    ]
}

Errors

StatusMeaningCharged?
401Missing, invalid or revoked API keyNo
402Not enough credits (insufficient_credits)No
404The account or post doesn't existNo
422Missing or invalid parametersNo
502 / 503The data source is temporarily unavailableNo

All error codes →

Try it live: Internationalization regions list GET

🔒 Preset demo input. Live demos use the Google for Developers channel, youtube.com/@GoogleDevelopers. Sign up free to use your own.

Start with 100 free credits

Create an account in seconds. No card, no subscription. Credits never expire.

Create free account →